Bug 65916 - php extensions cannot be found
php extensions cannot be found
Product: Red Hat Raw Hide
Classification: Retired
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-06-04 00:25 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-21 16:16:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-04 00:25:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0+) Gecko/20020427

Description of problem:
php.ini not configured correctly. Extensions (imap, mysql..) cannot be found.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Install php-4.2.1-1.i386.rpm
2. Install php-imap-4.2.1-1.i386.rpm, php-mysql-4.2.1-1.i386.rpm, etc.
3. Check php function extension_loaded('FOO'); for existance of FOO


Actual Results:  FOO did not exist

Expected Results:  FOO should exist

Additional info:

Found durring upgrade of apache & php from a more or less 7.2 system to rawhide
php.ini's "extension_dir" directive set incorrectly. Should read:
extension_dir = /usr/lib/php4/

Also, mysql.so extension not loaded at all. php.ini claims that mysql (and odbc)
is now compiled in but is lying.
extension=mysql.so should be added.
Comment 1 Phil Copeland 2002-06-21 16:33:30 EDT
Fixed in 4.2.1-2 which was created
-rw-r--r--   33 root     root     12660247 Jun 10 18:40 SRPMS/php-4.2.1-2.src.rpm

2 weeks ago. So I'd expect it in rawhide by now.


Note You need to log in before you can comment on or make changes to this bug.